<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
$permisos = str_split($sesion->get('permiso'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 
var parametros="?codigo=a4&cmp_aux=0&grilla=1&selec=";
$(document).ready(function(){
	var lastsel3;
	var cod_area="";
	
	
	var  gridAreas=jQuery("#list_areas").jqGrid({
		caption: '<?php echo $cleguaje->Phrase('areas','tituloGrilla') ?>',
		height: 250, //tamaño  alto de la grilla
		width:500,
		url:'mod_areas/list_areas.php',
		datatype: "json",
		rowNum:30,
		hidegrid:false,
		rowList:[15,30,50],
		pager: '#pager_areas',
		sortname: 'nom_area',
		viewrecords: true,
		sortorder: "desc",
		multiselect: false,
		toolbar:[true,'top'],
		editurl:'mod_areas/opera_areas.php',
		colNames:['<?php echo $cleguaje->getField('areas','nom_area') ?>'],
		colModel:[
			{name:'nom_area',index:'nom_area',editable:true,width:475,resizable:false,
				editoptions:{
					size:50,
					dataInit:function(nom_area){
						$(nom_area).valida({rulers:2,mincar:5})
					}
				}
			},
		],
		
		loadComplete:function(){
			cambiar_iconos('pager_areas')
		},
		onSelectRow: function(ids) {
			var ret = jQuery("#list_areas").jqGrid('getRowData',ids); 
			cod_area=ids;
			parametros=parametros+cod_area;
			
			jQuery("#listado_aignaturas").jqGrid('setGridParam',{postData:{id:ids},page:1,url:'mod_areas/list_materias.php'});
			jQuery("#listado_aignaturas").jqGrid('setCaption','<?php echo $cleguaje->Phrase('asignaturas','tituloGrilla1') ?> '+ret.nom_area).trigger('reloadGrid');			
		
		},
		scrollOffset:15,
		scrollrows:true,
		shrinkToFit:false,

	});
	jQuery("#list_areas").jqGrid('navGrid','#pager_areas',{edit:false,add:false,del:false}, {}, {}, {}, {multipleSearch:true} );
	
<?php if(in_array("A", $permisos)) {?>
	var dtnew={
			modulo:'areas',
			nom_pag:"t_list_areas",
			ide_tabla:'list_areas',
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			msg_cmps_oblg:'<?php echo $cleguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			title: '<?php echo $cleguaje->Phrase('global','new') . " " . $cleguaje->Phrase('areas','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			msgExito:'<?php  echo $cleguaje->Phrase('global','newexito') ?>',
	}
	
	btnNuevoNor(gridAreas,dtnew)
	
<?php } if(in_array("M", $permisos)) {?>
	var dtedit={
			modulo:'areas',
			nom_pag:"t_list_areas",
			ide_tabla:'list_areas',
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			msg_cmps_oblg:'<?php echo $cleguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			title: '<?php echo $cleguaje->Phrase('global','edit') . " " . $cleguaje->Phrase('areas','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			msgExito:'<?php  echo $cleguaje->Phrase('global','editexito') ?>',
			adicional:function(rta,post){
				jQuery("#listado_aignaturas").jqGrid('setCaption','<?php echo $cleguaje->Phrase('asignaturas','tituloGrilla1') ?> '+post['nom_area']);
			}
	}
	btnEditarNor(gridAreas,dtedit)

	
<?php } if(in_array("E", $permisos)){ ?>	
		var tddel={
			modulo:'areas',
			nom_pag:"t_list_areas",
			ide_tabla:'list_areas',
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('areas','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('areas','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			isgrid:true,
			msgExito:'<?php  echo $cleguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(gridAreas,tddel)

<?php } ?>	
	
//----------------------------------------------------------------------------------------------------------------------------------------
	

	var area_selec='';
	
	var grilla=jQuery("#listado_aignaturas").jqGrid({
		caption:'<?php echo $cleguaje->Phrase('asignaturas','tituloGrilla') ?>',
		height: 250,
		url:'',
		datatype: "json",
		hidegrid:false,
		multiselect: false,
		rowNum:15,
		rowList:[15,30,50],
		pager: '#pager_asignaturas',
		sortname: 'nom_asi',
		viewrecords: true,
		toolbar:[true,'top'],
		sortorder: "asc",
		editurl:'mod_areas/asignaturas_new_edit.php',

		colNames:[
			'<?php  echo $cleguaje->getField('asignaturas','areas') ?>',
			'<?php  echo $cleguaje->getField('asignaturas','nom_asig') ?>',
			'<?php  echo $cleguaje->getField('asignaturas','abr_asig') ?>', 
			'<?php  echo $cleguaje->getField('asignaturas','pri_asig') ?>'
		],
		colModel:[
			{name:'cd_area',index:'cd_area', hidden:true, editable:false, edittype:'select',width:80, 
				editoptions:{
					dataUrl:'includes/cargar_selec_normal.php'+parametros,
					dataInit:function(cd_area){
						$(cd_area).valida_select()
					},
					dataEvents: [{type: 'change',data:{i:7}, fn: function(e) { 
						area_selec=$(this).val() 
						jQuery("#list_areas").setSelection(area_selec) 
					} }  ] 
				}, 
				editrules:{edithidden:true},
			},
			
			{name:'nom_asi',index:'nom_asi',editable:false,width:329,resizable:false,
				editoptions:{
					size:25,
					dataInit:function(nom_asi){
						$(nom_asi).valida({rulers:2,mincar:5})
					}
				}
			},
			{name:'abr_asi',index:'abr_asi',width:90,editable:false,resizable:false,align:'center',
				editoptions:{
					size:25,
					dataInit:function(abr_asi){
						$(abr_asi).valida({rulers:2,mincar:3})
					}
				},
			},
			
			{name:'pri_asi',index:'pri_asi',resizable:false,width:65,align:'center'},
		],
		loadComplete:function(){
			cambiar_iconos('pager_asignaturas')
		},
		
	})
	jQuery("#listado_aignaturas").jqGrid('navGrid','#pager_asignaturas',{add:false,edit:false,del:false}, {}, {}, {}, {multipleSearch:true});
	
	
<?php if(in_array("A", $permisos)) {?>
	var dtnew={
			nom_pag:"t_listado_aignaturas",
			param:'?accion=new',
			iframe:false,
			title: '<?php echo $cleguaje->Phrase('global','new') . " " . $cleguaje->Phrase('asignaturas','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>'
		}		
	btnNuevoColorbox(grilla,dtnew)

<?php } if(in_array("M", $permisos)) {?>

	var dtedit={
			nom_pag:"t_listado_aignaturas",
			ide_tabla:'listado_aignaturas',
			param:'?accion=edit',
			iframe:false,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			title: '<?php echo $cleguaje->Phrase('global','edit') . " " . $cleguaje->Phrase('asignaturas','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
		}	
		
	btnEditarColorbox(grilla,dtedit)
		
	
<?php } if(in_array("E", $permisos)){ ?>	
		var tddel={
			modulo:'pager_asignaturas',
			nom_pag:"t_listado_aignaturas",
			ide_tabla:'listado_aignaturas',
			url:"mod_areas/opera_asignaturas.php",
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('asignaturas','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('asignaturas','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			isgrid:true,
			msgExito:'<?php  echo $cleguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(grilla,tddel)
<?php } ?>	

});
</script>
</head>

<body>
<table align="center">
  <tr>
  <td>
		<table id="list_areas"></table>
		<div id="pager_areas"></div>
  </td>      
  <td>

<table id="listado_aignaturas"></table>
<div id="pager_asignaturas"></div>
</td>
</tr>
</table>
</body>
</html>